package simple.dcsp.sbt;

import kernel.AbstractAgent;
import kernel.Communicator;

public class SBTCommunicator extends Communicator {

	int nextAgentId;

	public SBTCommunicator(AbstractAgent agent) {
		super(agent);
	}

	public void initialize() {
		this.nextAgentId = this.myAgent.agentOrder.getNextOf(this.myAgent.getAgentId());
	}

	public boolean hasNextAgent() {
		return this.nextAgentId != -1;
	}

	public int getNextAgent() {
		return this.nextAgentId;
	}

}
