package util;

import java.io.Serializable;

public class Pair implements Comparable<Pair>, Cloneable, Serializable {
	private static final long serialVersionUID = -3139391826866363930L;

	protected int left;

	protected int rigth;

	public Pair(int l, int r) {
		left = l;
		rigth = r;
	}

	public int getLeft() {
		return left;
	}

	public int getRigth() {
		return rigth;
	}

	public void setLeft(int l) {
		left = l;
	}

	public void setRigth(int r) {
		rigth = r;
	}

	public int compareTo(Pair p) {
		if (this.getLeft() == p.getLeft())
			return this.getRigth() - p.getRigth();
		else
			return this.getLeft() - p.getLeft();
	}

	public boolean equals(Object pair) {
		Pair p = (Pair) pair;

		return ((this.getLeft() == p.getLeft()) && (this.getRigth() == p.getRigth()));
	}

	public Pair clone() {
		return new Pair(this.getLeft(), this.getRigth());
	}

	public int hashCode() {
		return this.getLeft() * 100 + this.getRigth();
	}

	public String toString() {
		return "[" + left + "," + rigth + "]";
	}

	public static Pair fromString(String str) {
		str.substring(1, str.indexOf("]"));
		String[] s = str.split(",");
		return new Pair(Integer.parseInt(s[0]), Integer.parseInt(s[1]));
	}

}// pair
